BOS_STOP(8)

NAME
bos_stop - Stops a process after changing its status flag

SYNOPSIS
bos stop -server <machine name>
    -instance <server process name>+ [-wait]
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos sto -s <machine name> -i <server process name>+
    [-w] [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos stop command sets the status flag for each process specified with the -instance argument to "NotRun" in the /etc/openafs/BosConfig file on the server machine named by the -server argument, then stops it.

To stop a process without changing its BosConfig status flag, use the bos shutdown command instead.

OPTIONS

-server <machine name>
    Indicates the server machine on which to stop processes. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-instance <server process name>+
    Names each process to stop. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names.

-wait
    Delays the return of the command shell prompt until all processes actually stop. If this argument is omitted, the prompt returns almost immediately even if all processes are not stopped.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile or /etc/openafs/server/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example command stops the upserver and vlserver processes on the machine "fs7.example.com".

   % bos stop -server fs7.example.com -instance upserver vlserver

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BosConfig(5), KeyFile(5), KeyFileExt(5), UserList(5), bos(8), bos_create(8), bos_shutdown(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.